> ## Documentation Index > Fetch the complete documentation index at: https://bunny.net/docs/llms.txt > Use this file to discover all available pages before exploring further. # Reset Token Key ## OpenAPI ````yaml https://core-api-public-docs.b-cdn.net/docs/v3/public.json post /pullzone/{id}/resetSecurityKey openapi: 3.0.0 info: title: bunny.net API description: >- bunny.net Logo Learn how to use the [bunny.net](https://bunny.net "bunny.net - The content delivery platform that truly hops.") API. Everything that can be done with the control panel can also be achieved with our API documented on this page. To learn how to use the storage API, have a look at our storage API documentation

Third party API clients:


We currently do not maintain an official API library, but you can use one of the third party ones provided here:

https://github.com/codewithmark/bunnycdn (bunny.net PHP library, thanks to Code With Mark)

Note that third party clients are not maintained or developed by bunny.net so we unfortunately cannot offer support for them. termsOfService: https://bunny.net/tos contact: name: bunny.net url: https://docs.bunny.net email: support@bunny.net version: 1.0.0 servers: - url: https://api.bunny.net description: bunny.net API Server security: - AccessKey: [] tags: - name: Stream Video Library - name: User - name: AuditLog - name: Storage Zone - name: Statistics - name: Search - name: Pull Zone - name: Pricing - name: Load Balancer - name: DNS Zone - name: DNSSEC - name: Billing - name: API Keys - name: Affiliate - name: Countries - name: Purge - name: Region paths: /pullzone/{id}/resetSecurityKey: post: tags: - Pull Zone summary: Reset Token Key operationId: ResetSecurityKeyEndpoint_ResetSecurityKey parameters: - name: id in: path required: true description: The ID of the requested Pull Zone schema: type: integer format: int64 x-position: 1 requestBody: x-name: model description: Custom security key content: application/json: schema: $ref: '#/components/schemas/ResetPullZoneSecurityKeyModel' x-position: 2 responses: '204': description: The key was successfully reset '400': description: Failed to reset the security key content: application/json: schema: $ref: '#/components/schemas/ApiErrorData' '401': description: The request authorization failed '404': description: The Pull Zone with the requested ID was not found '500': description: Internal Server Error security: - AccessKey: - User - UserApi - SubuserAPIPullZones - SubuserPullZones - SubuserManage - SubuserAPIManage - ScopedApiKey - bearer: - User - UserApi - SubuserAPIPullZones - SubuserPullZones - SubuserManage - SubuserAPIManage - ScopedApiKey components: schemas: ResetPullZoneSecurityKeyModel: type: object additionalProperties: false properties: SecurityKey: type: string maxLength: 36 minLength: 8 nullable: true ApiErrorData: type: object additionalProperties: false properties: ErrorKey: type: string nullable: true Field: type: string nullable: true Message: type: string nullable: true securitySchemes: AccessKey: type: apiKey description: API Access Key authorization header name: AccessKey in: header bearer: type: apiKey description: Bearer token authorization header name: Authorization in: header ```` This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.